Challenge Cycles (chaldean)
POST /numerology/chaldean/challenge
POST
/numerology/chaldean/challenge
Calculate four Challenge cycles — life-area difficulties to master, derived from birth date components. Numerology — Chaldean system.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/numerology/chaldean/challenge \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "name": "John Smith", "date": "1990-05-15" }'const res = await fetch('https://api.astroway.info/v1/numerology/chaldean/challenge', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "John Smith", "date": "1990-05-15" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/numerology/chaldean/challenge', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'name': "John Smith", 'date': "1990-05-15" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('numerology/chaldean/challenge', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'name' => 'John Smith', 'date' => '1990-05-15', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
Example
{ "name": "John Smith", "date": "1990-05-15"}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
system
string
challenges
object
first
object
reduced
number
meaning
object
archetype
string
second
object
reduced
number
third
object
reduced
number
fourth
object
reduced
number
Example
{ "ok": true, "data": { "system": "chaldean", "challenges": { "first": { "reduced": 4, "meaning": { "archetype": "The Builder" } }, "second": { "reduced": 1 }, "third": { "reduced": 3 }, "fourth": { "reduced": 5 } } }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.